JavaRef subclass:#JavaField
	instanceVariableNames:'accessFlags name signature constantValue'
	classVariableNames:''
	poolDictionaries:''
	category:'Java-Reader-Support'
!


!JavaField methodsFor:'accessing'!

constantValue
    ^ constantValue
!

constantValue:aValue
    constantValue := aValue
!

name
    ^ name
! !

!JavaField methodsFor:'printing & storing'!

displayString
    ^ self class name , '(name: ' , name displayString , ')'


! !

!JavaField methodsFor:'private accessing'!

setAccessFlags:flags
    accessFlags := flags.

    "Created: 16.4.1996 / 13:04:25 / cg"
!

setConstantValue:something
    constantValue := something.

    "Created: 16.4.1996 / 13:04:58 / cg"
!

setName:aString
    name := aString.

    "Created: 16.4.1996 / 13:04:35 / cg"
!

setSignature:aString
    signature := aString.

    "Created: 16.4.1996 / 13:04:43 / cg"
! !

!JavaField methodsFor:'queries'!

initialValue
    ^ JavaClass initialValueFromSignature:signature


!

isFinal
    ^ (accessFlags bitAnd:16r0010) ~~ 0

!

isPrivate
    ^ (accessFlags bitAnd:16r0002) ~~ 0

!

isProtected
    ^ (accessFlags bitAnd:16r0004) ~~ 0

!

isPublic
    ^ (accessFlags bitAnd:16r0001) ~~ 0

!

isStatic
    ^ (accessFlags bitAnd:16r0008) ~~ 0

!

isTransient
    ^ (accessFlags bitAnd:16r0080) ~~ 0
!

isVolatile
    ^ (accessFlags bitAnd:16r0040) ~~ 0
!

type
    ^ JavaMethod typeFromSignature:signature in:nil

    "Modified: / 8.1.1998 / 19:13:22 / cg"
! !

!JavaField class methodsFor:'documentation'!

version
    ^ '$Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/JavaField.st,v 1.11 1998/01/17 14:43:45 cg Exp $'
! !
